NAMEI(1)

NOMBRE
namei - seguir una trayectoria hasta encontrar un punto terminal

SINOPSIS

namei [options] pathname...

DESCRIPCIÓN

namei interprets its arguments as pathnames to any type of Unix file (symlinks, files, directories, and so forth). namei then follows each pathname until an endpoint is found (a file, a directory, a device node, etc). If it finds a symbolic link, it shows the link, and starts following it, indenting the output to show the context.

Este programa es útil para encontrar problemas del tipo "too many levels of symbolic links" ("demasiados niveles de enlaces simbólicos").

Para cada línea de la salida, namei utiliza los siguientes caracteres para identificar el tipo de ficheros encontrados:

       f: = ruta que actualmente se está intentando resolver
        d = directorio
        l = enlace simbólico (se muestran tanto el enlace como su contenido)
        s = socket
        b = dispositivo de bloque
        c = dispositivo de caracteres
        p = FIFO (tubería con nombre)
        - = fichero regular
        ? = error de algún tipo

namei prints an informative message when the maximum number of symbolic links this system can have has been exceeded.

OPCIONES

-l, --long
    Utiliza el formato de lista largo (igual que -m -o -v).

-m, --modes
    Mostrar los bits de modo para cada tipo de fichero en el estilo de ls(1), por ejemplo 'rwxr-xr-x'.

-n, --nosymlinks
    No sigue los enlaces simbólicos.

-o, --owners
    Muestra el nombre del propietario y del grupo de cada fichero.

-v, --vertical
    Alinea verticalmente los modos y los propietarios.

-x, --mountpoints
    Muestra directorios que son puntos de montaje con una 'D', en vez de con una 'd'.

-Z, --context
    Show security context of the file or "?" if not available. The support for security contexts is optional and does not have to be compiled to the namei binary.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Display version and exit.

ERRORES

A ser descubiertos.

AUTORES

El programa original namei fue escrito por

The program was rewritten by

VÉASE TAMBIÉN

ls(1), stat(1), symlink(7)

INFORMAR DE ERRORES

For bug reports, use the

DISPONIBILIDAD

La orden namei forma parte del paquete util-linux, el cual puede descargarse de